Index: palm/trunk/SCRIPTS/.mrun.config.csc_sisu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 1241)
@@ -77,4 +77,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.cuhk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1241)
@@ -97,4 +97,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 1241)
@@ -98,4 +98,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1241)
@@ -112,4 +112,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT     _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT     _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART   _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART   _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.hayaka
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 1241)
@@ -69,4 +69,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1241)
@@ -30,17 +30,15 @@
 # appropriately, if you are using a different compiler / MPI-Version.
 #
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayb parallel
-%compiler_name       ftn                         lccrayb parallel
-%compiler_name_ser   ftn                         lccrayb parallel
+%tmp_user_catalog    /gfs1/work/<replace by your username on hlrnIII>     lccrayb parallel
+%tmp_data_catalog    /gfs1/work/<replace by your username on hlrnIII>     lccrayb parallel
+%compiler_name       crayftn                                              lccrayb parallel
+%compiler_name_ser   crayftn                                              lccrayb parallel
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__fftw   lccrayb parallel
-%mopts               -j:4                        lccrayb parallel
-%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayb parallel
-%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayb parallel
-%remote_username     <replace by your HLRN-III username>                    lccrayb parallel
-%memory              1500                        lccrayb parallel
-%login_init_cmd      source:$MODULESHOME/init/ksh lccrayb parallel
-%modules             fftw:cray-netcdf            lccrayb parallel
-#%create_executable_for_batch  true               lccrayb parallel
+%mopts               -j:4                                                 lccrayb parallel
+%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3                      lccrayb parallel
+%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3                      lccrayb parallel
+%remote_username     niksiraa                                             lccrayb parallel
+%memory              1500                                                 lccrayb parallel
+%modules             fftw:netcdf                                          lccrayb parallel
 #             
 %write_binary        true                             restart
@@ -74,4 +72,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1241)
@@ -61,4 +61,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1241)
@@ -84,4 +84,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_gpu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1241)
@@ -84,4 +84,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 1241)
@@ -148,4 +148,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 1241)
@@ -93,4 +93,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.kiaps
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 1241)
@@ -70,4 +70,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1241)
@@ -80,4 +80,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.riam	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.riam	(revision 1241)
@@ -79,4 +79,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.tatara
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 1241)
@@ -68,4 +68,6 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.yonsei2011
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 1238)
+++ palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 1241)
@@ -81,4 +81,6 @@
 PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f   $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 BININ                    in:loc:flpe   d3f:rec   $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1238)
+++ palm/trunk/SCRIPTS/mrun	(revision 1241)
@@ -22,5 +22,6 @@
 # Current revisions:
 # ------------------
-# 
+# Enable use of nudging input and input of large scale forcing from 
+# external files
 #
 # Former revisions:
@@ -2352,5 +2353,5 @@
     tmp_check=${working_directory}/tmp_check
 
-       # GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_P3DF"). THIS FILE MIGHT IS
+       # GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_TOPO"). THIS FILE IS
        # NOT NECESSARILY REQUIRED
     line=""
@@ -2372,7 +2373,47 @@
     fi
 
+       # GET NUDGING PARAMETER FILE SUFFIX (USUALLY "_NUDGE"). THIS FILE IS
+       # NOT NECESSARILY REQUIRED
+    line=""
+    found=false
+    grep  "NUDGING_DATA" $config_file  >  $tmp_check
+    while read line1
+    do
+       line="$line1"
+       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+       then
+          nudge_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
+          found=true
+       fi
+    done < $tmp_check
+
+    if [[ $found = false ]]
+    then
+       printf "\n  +++ no NUDGING list entry found in the configuration file."
+    fi
+
+       # GET LARGE SCALE FORCING PARAMETER FILE SUFFIX (USUALLY "_LSF"). THIS FILE IS
+       # NOT NECESSARILY REQUIRED
+    line=""
+    found=false
+    grep  "LSF_DATA" $config_file  >  $tmp_check
+    while read line1
+    do
+       line="$line1"
+       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+       then
+          lsf_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
+          found=true
+       fi
+    done < $tmp_check
+
+    if [[ $found = false ]]
+    then
+       printf "\n  +++ no LSF list entry found in the configuration file."
+    fi
+
     rm -rf ${working_directory}/tmp_check
 
-       # CHECK IF THE A P3DF FILE MUST BE CHECKED
+       # CHECK IF THE P3DF FILE MUST BE CHECKED
     for  item  in  $input_list
     do
@@ -2520,4 +2561,16 @@
           # WHICH REQUIRE SUFFICIENT MEMORY
        ulimit -s unlimited          
+    fi
+
+    if [[ -f ${pathname}/${fname}${nudge_suffix} && $skip_check == false ]]
+    then
+       printf "\n  *** adding nudging data"
+       cp ${pathname}/${fname}${nudge_suffix} ./NUDGING_DATA       
+    fi
+
+    if [[ -f ${pathname}/${fname}${lsf_suffix} && $skip_check == false ]]
+    then
+       printf "\n  *** adding large scale forcing data"
+       cp ${pathname}/${fname}${lsf_suffix} ./LSF_DATA        
     fi
 