Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1241)
+++ palm/trunk/SOURCE/Makefile	(revision 1242)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# +nudging, ls_forcing
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1241 2013-10-30 11:36:58Z heinze
+# +nudging, ls_forcing
 #
 # 1212 2013-08-15 08:46:27Z raasch
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 1241)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 1242)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Adjust ug and vg at each timestep in case of large_scale_forcing
+! 
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! Adjust ug and vg at each timestep in case of large_scale_forcing
 !
 ! 1159 2013-05-21 11:58:22Z fricke
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 1241)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 1242)
@@ -20,6 +20,4 @@
 ! Currrent revisions:
 ! ------------------
-! Generalize calc_mean_profile for wider use: use additional steering 
-! character loc
 !
 !
@@ -27,4 +25,8 @@
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! Generalize calc_mean_profile for wider use: use additional steering 
+! character loc 
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1241)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1242)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
 ! output for profiles of ug and vg added
 ! set surface_heatflux and surface_waterflux also in dependence on 
 ! large_scale_forcing
 ! checks for nudging and large scale forcing from external file
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1236 2013-09-27 07:21:13Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1241)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1242)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Output of ug and vg
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! Output of ug and vg
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1241)
+++ palm/trunk/SOURCE/header.f90	(revision 1242)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! output for nudging + large scale forcing from external file
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! output for nudging + large scale forcing from external file
 !
 ! 1216 2013-08-26 09:31:42Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1241)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1242)
@@ -23,10 +23,13 @@
 ! Current revisions:
 ! ------------------
-! Overwrite initial profiles in case of nudging
-! Inititialize shf and qsws in case of large_scale_forcing
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! Overwrite initial profiles in case of nudging
+! Inititialize shf and qsws in case of large_scale_forcing
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- palm/trunk/SOURCE/ls_forcing.f90	(revision 1241)
+++ palm/trunk/SOURCE/ls_forcing.f90	(revision 1242)
@@ -26,4 +26,6 @@
 ! $Id$
 !
+! 1241 2013-10-30 11:36:58Z heinze
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1241)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1242)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! hyp and rho have to be calculated at each time step if data from external
-! file LSF_DATA are used
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! hyp and rho have to be calculated at each time step if data from external
+! file LSF_DATA are used
 !
 ! 1115 2013-03-26 18:16:16Z hoffmann
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1241)
+++ palm/trunk/SOURCE/modules.f90	(revision 1242)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
 ! Usage of nudging enabled 
 ! +nudging, ntnudge, ptnudge, qnudge, tnudge, unudge, vnudge, wnudge
@@ -28,8 +35,4 @@
 ! +large_scale_forcing, lsf_surf, lsf_vert, nlsf, time_surf, shf_surf, qsws_surf,
 !  pt_surf, q_surf, p_surf, time_vert, ug_vert, vg_vert, wsubs_vert
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: palm/trunk/SOURCE/nudging.f90
===================================================================
--- palm/trunk/SOURCE/nudging.f90	(revision 1241)
+++ palm/trunk/SOURCE/nudging.f90	(revision 1242)
@@ -26,4 +26,6 @@
 ! $Id$
 !
+! 1241 2013-10-30 11:36:58Z heinze
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1241)
+++ palm/trunk/SOURCE/palm.f90	(revision 1242)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! initialization of nuding and large scale forcing from external file
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! initialization of nuding and large scale forcing from external file
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1241)
+++ palm/trunk/SOURCE/parin.f90	(revision 1242)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! +nudging
-! +large_scale_forcing
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! +nudging
+! +large_scale_forcing
 !
 ! 1216 2013-08-26 09:31:42Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1241)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1242)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! usage of nudging enabled (so far not implemented for accelerator version)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! usage of nudging enabled (so far not implemented for accelerator version)
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1241)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1242)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! +nudging
-! +large_scale_forcing
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! +nudging
+! +large_scale_forcing
 !
 ! 1195 2013-07-01 12:27:57Z heinze
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1241)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1242)
@@ -20,13 +20,14 @@
 ! Current revisions:
 ! ------------------
-! Call of user_actions in order to determine sgs momentum fluxes
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
 ! Generalize calc_mean_profile for wider use
 ! Determine shf and qsws in dependence on data from LSF_DATA
 ! Determine ug and vg in dependence on data from LSF_DATA
-!
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1221 2013-09-10 08:59:13Z raasch
 ! host update of arrays before timestep is called
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1241)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1242)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! +nudging
-! +large_scale_forcing
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1241 2013-10-30 11:36:58Z heinze
+! +nudging
+! +large_scale_forcing
 !
 ! 1179 2013-06-14 05:57:58Z raasch