Index: palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- palm/trunk/SOURCE/ls_forcing.f90	(revision 1242)
+++ palm/trunk/SOURCE/ls_forcing.f90	(revision 1249)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-!
+! remove call of user module
+! reformatting
 !
 ! Former revisions:
@@ -51,14 +52,13 @@
        USE interfaces
        USE pegrid
-       USE user
 
        IMPLICIT NONE
 
-       INTEGER :: finput = 90, ierrn, k, t 
-       CHARACTER (100):: chmess
-       CHARACTER(1) :: hash
-       REAL :: r_dummy, fac
-       REAL :: highheight, highug_vert, highvg_vert, highwsubs_vert
-       REAL :: lowheight, lowug_vert, lowvg_vert, lowwsubs_vert
+       INTEGER ::  finput = 90, ierrn, k, t 
+       CHARACTER (100)::  chmess
+       CHARACTER(1) ::  hash
+       REAL ::  r_dummy, fac
+       REAL ::  highheight, highug_vert, highvg_vert, highwsubs_vert
+       REAL ::  lowheight, lowug_vert, lowvg_vert, lowwsubs_vert
 
        ALLOCATE( p_surf(0:nlsf), pt_surf(0:nlsf), q_surf(0:nlsf),         &
@@ -72,8 +72,8 @@
 
 
-       OPEN (finput, FILE='LSF_DATA', STATUS='OLD', &
-              FORM='FORMATTED', IOSTAT=ierrn)
-
-       IF (ierrn /= 0 ) THEN
+       OPEN ( finput, FILE='LSF_DATA', STATUS='OLD', &
+              FORM='FORMATTED', IOSTAT=ierrn )
+
+       IF ( ierrn /= 0 )  THEN
           message_string = 'file LSF_DATA does not exist'
           CALL message( 'ls_forcing', 'PA0368', 1, 2, 0, 6, 0 )
@@ -83,9 +83,9 @@
 !
 !--    First three lines of LSF_DATA contain header
-       READ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
-       READ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
-       READ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
-
-       IF (ierrn /= 0 ) THEN
+       READ ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
+       READ ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
+       READ ( finput, FMT='(a100)', IOSTAT=ierrn ) chmess
+
+       IF ( ierrn /= 0 )  THEN
           message_string = 'errors in file LSF_DATA'
           CALL message( 'ls_forcing', 'PA0369', 1, 2, 0, 6, 0 )
@@ -99,10 +99,10 @@
        DO WHILE ( time_surf(t) < end_time )
           t = t + 1
-          READ( finput, *, IOSTAT = ierrn ) time_surf(t), shf_surf(t), &
+          READ ( finput, *, IOSTAT = ierrn ) time_surf(t), shf_surf(t), &
                                              qsws_surf(t), pt_surf(t),  &
                                              q_surf(t), p_surf(t)
 
-          IF ( ierrn < 0 ) THEN
-            WRITE( message_string, * ) 'No time dependend surface variables ',&
+          IF ( ierrn < 0 )  THEN
+            WRITE ( message_string, * ) 'No time dependend surface variables ',&
                               'in&LSF_DATA for end of run found'
 
@@ -112,6 +112,6 @@
 
 
-       IF ( time_surf(1) > end_time ) THEN
-          WRITE( message_string, * ) 'No time dependend surface variables in ',  &
+       IF ( time_surf(1) > end_time )  THEN
+          WRITE ( message_string, * ) 'No time dependend surface variables in ',&
                                      '&LSF_DATA for end of run found - ',  &
                                      'lsf_surf is set to FALSE'
@@ -123,5 +123,5 @@
 !--    Go to the end of the list with surface variables
        DO WHILE ( ierrn == 0 )
-          READ (finput, *, IOSTAT = ierrn) r_dummy
+          READ ( finput, *, IOSTAT = ierrn ) r_dummy
        ENDDO
 
@@ -130,5 +130,5 @@
 
        t = 0
-       DO WHILE (time_vert(t) < end_time)
+       DO WHILE ( time_vert(t) < end_time )
           t = t + 1
           hash = "#"
@@ -138,6 +138,6 @@
 !--       from there onwards the profiles will be read
           DO WHILE ( .NOT. ( hash == "#" .AND. ierrn == 0 ) ) 
-             READ( finput, *, IOSTAT=ierrn ) hash, time_vert(t)
-             IF ( ierrn < 0 ) THEN 
+             READ ( finput, *, IOSTAT=ierrn ) hash, time_vert(t)
+             IF ( ierrn < 0 )  THEN 
                 WRITE( message_string, * ) 'No time dependend vertical profiles',&
                                  ' in&LSF_DATA for end of run found'
@@ -148,15 +148,15 @@
           IF ( t == 1 .AND. time_vert(t) > end_time ) EXIT
 
-          READ( finput, *, IOSTAT=ierrn ) lowheight, lowug_vert, lowvg_vert, &
-                                          lowwsubs_vert
-          IF (ierrn /= 0 ) THEN
+          READ ( finput, *, IOSTAT=ierrn ) lowheight, lowug_vert, lowvg_vert, &
+                                           lowwsubs_vert
+          IF ( ierrn /= 0 )  THEN
              message_string = 'errors in file LSF_DATA'
              CALL message( 'nudging', 'PA0369', 1, 2, 0, 6, 0 )
           ENDIF
 
-          READ( finput, *, IOSTAT=ierrn ) highheight, highug_vert, highvg_vert, &
-                                          highwsubs_vert
+          READ ( finput, *, IOSTAT=ierrn ) highheight, highug_vert, highvg_vert, &
+                                           highwsubs_vert
       
-          IF (ierrn /= 0 ) THEN
+          IF ( ierrn /= 0 )  THEN
              message_string = 'errors in file LSF_DATA'
              CALL message( 'nudging', 'PA0369', 1, 2, 0, 6, 0 )
@@ -165,5 +165,5 @@
 
           DO  k = nzb, nzt+1
-             IF ( highheight < zu(k) ) THEN
+             IF ( highheight < zu(k) )  THEN
                 lowheight     = highheight
                 lowug_vert    = highug_vert
@@ -172,8 +172,8 @@
 
                 ierrn = 0
-                READ( finput, *, IOSTAT=ierrn ) highheight, highug_vert, &
-                                                highvg_vert, highwsubs_vert
-
-                IF (ierrn /= 0 ) THEN
+                READ ( finput, *, IOSTAT=ierrn ) highheight, highug_vert, &
+                                                 highvg_vert, highwsubs_vert
+
+                IF ( ierrn /= 0 )  THEN
                    message_string = 'errors in file LSF_DATA'
                    CALL message( 'nudging', 'PA0369', 1, 2, 0, 6, 0 )
@@ -194,8 +194,8 @@
        ENDDO 
 
-       IF ( time_vert(1) > end_time ) THEN
-          WRITE( message_string, * ) 'Time dependent large scale profile ',&
-                            'forcing from&LSF_DATA sets in after end of ' ,&
-                            'simulation - lsf_vert is set to FALSE'
+       IF ( time_vert(1) > end_time )  THEN
+          WRITE ( message_string, * ) 'Time dependent large scale profile ',&
+                             'forcing from&LSF_DATA sets in after end of ' ,&
+                             'simulation - lsf_vert is set to FALSE'
           CALL message( 'ls_forcing', 'PA0373', 0, 0, 0, 6, 0 )
           lsf_vert = .FALSE.
@@ -216,5 +216,4 @@
        USE interfaces
        USE pegrid
-       USE user
 
        IMPLICIT NONE
@@ -230,5 +229,5 @@
           t = t + 1
        ENDDO
-       IF ( time /= time_surf(t) ) THEN
+       IF ( time /= time_surf(t) )  THEN
          t = t - 1
        ENDIF
@@ -252,5 +251,4 @@
        USE interfaces
        USE pegrid
-       USE user
 
        IMPLICIT NONE
@@ -266,14 +264,14 @@
           t = t + 1
        ENDDO
-       IF ( time /= time_vert(t) ) THEN
+       IF ( time /= time_vert(t) )  THEN
          t = t - 1
        ENDIF
 
-       fac = (time-time_vert(t)) / (time_vert(t+1)-time_vert(t))
+       fac = ( time-time_vert(t) ) / ( time_vert(t+1)-time_vert(t) )
 
        ug     = ug_vert(:,t) + fac * ( ug_vert(:,t+1) - ug_vert(:,t) )
        vg     = vg_vert(:,t) + fac * ( vg_vert(:,t+1) - vg_vert(:,t) )
 
-       IF ( large_scale_subsidence ) THEN
+       IF ( large_scale_subsidence )  THEN
           w_subs = wsubs_vert(:,t) + fac * ( wsubs_vert(:,t+1) - wsubs_vert(:,t) )
        ENDIF