Index: /palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1254)
+++ /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1255)
@@ -40,7 +40,5 @@
 %remote_username     <replace by your HLRN-III username>                    lccrayb parallel
 %memory              1500                        lccrayb parallel
-%login_init_cmd      source:$MODULESHOME/init/ksh lccrayb parallel
 %modules             fftw:cray-netcdf            lccrayb parallel
-#%create_executable_for_batch  true               lccrayb parallel
 #             
 %write_binary        true                             restart
@@ -50,4 +48,6 @@
 #----------------------------------------------------------------------------
 #IC:
+IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=0
+IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
 #
 #----------------------------------------------------------------------------
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1254)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1255)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# further adjustments for lccrayb remote access
 #
 # Former revisions:
@@ -471,4 +471,5 @@
        # IP-ADRESSE DES REMOTE-RECHNERS BESTIMMEN
     case  $remote_host  in
+        (lccrayb)        remote_addres=130.73.233.1;;
         (lcflow)         remote_addres="flow.hpc.uni-oldenburg.de";;
         (lckordi)        remote_adress=210.219.61.8;;
@@ -867,6 +868,6 @@
              # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
           init_cmds=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
-       fi
-       init_cmds="${init_cmds};"
+          init_cmds="${init_cmds};"
+       fi
     done < $tmp_mbuild
 
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1254)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1255)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-#
+# further adjustments for lccrayb remote access
 #
 # Former revisions:
@@ -2827,5 +2827,7 @@
        cd -  > /dev/null
 
-       cp  SOURCES_FOR_RUN_$fname/*  $TEMPDIR_COMPILE
+          # DUE TO UNKNOWN REASONS, COPY WITH cp COMMAND CREATES CORRUPT
+          # FILES ON CRAY XC30 SYSTEMS (HLRN III), rsync IS USED INSTEAD
+       rsync -av -t  SOURCES_FOR_RUN_$fname/*  $TEMPDIR_COMPILE  >  /dev/null
 
     else
@@ -2920,5 +2922,5 @@
              [[ ! -f a.out ]]  &&  compile_error=true
              continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
-          elif [[ $localhost = lccrayf ]]
+          elif [[ $localhost = lccrayb  ||  $localhost = lccrayf ]]
           then
              make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
@@ -4121,5 +4123,10 @@
                    printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP to"
                    printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst\n"
-                   batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   if [[ $localhost = lccrayb ]]
+                   then
+                      ssh $usern@blogin1 "cd $TEMPDIR; batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
+                   else
+                      batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   fi
                    [[ $? != 0 ]]  &&  transfer_failed=true
 
@@ -4196,5 +4203,10 @@
                    printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP to"
                    printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                   batch_scp $PORTOPT -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   if [[ $localhost = lccrayb ]]
+                   then
+                      ssh $usern@blogin1 "cd $TEMPDIR; batch_scp $PORTOPT -A -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
+                   else
+                      batch_scp $PORTOPT -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   fi
                    [[ $? != 0 ]]  &&  transfer_failed=true
 
@@ -4679,5 +4691,5 @@
           then
 
-             if [[ $localhost = lcsgih  ||  $localhost = lcsgib  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lcflow  ||  $localhost = lckyu* ]]
+             if [[ $localhost = lcsgih  ||  $localhost = lccrayb  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lcflow  ||  $localhost = lckyu* ]]
              then
                 echo "*** ssh will be used to initiate restart-runs!"
@@ -4689,4 +4701,7 @@
                    then
                       ssh $SSH_PORTOPT $usern@136.172.40.15 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
+                   elif [[ $localhost = lccrayb ]]
+                   then
+                      ssh $usern@blogin1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
                    else
                       ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
@@ -4696,11 +4711,12 @@
                    then
                       ssh $SSH_PORTOPT $usern@gaiad "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
+                   elif [[ $localhost = lcflow ]]
+                   then
+                      /usr/bin/ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
+                   elif [[ $localhost = lccrayb ]]
+                   then
+                      ssh $usern@blogin1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
                    else
-                      if [[ $localhost = lcflow ]]
-                      then
-                         /usr/bin/ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
-                      else
-                         ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
-                      fi
+                      ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
                    fi
                 fi
@@ -4925,14 +4941,18 @@
              # DUE TO UNKNOWN REASONS, COPY WITH cp COMMAND CREATES CORRUPT
              # FILES ON CRAY XC30 SYSTEMS (CSC HELSINKI), rsync IS USED INSTEAD
-          echo  "rsync -ae -t  $working_directory/SOURCES_FOR_RUN_$fname  ."  >>  $jobfile
+          echo  "rsync -av -t  $working_directory/SOURCES_FOR_RUN_$fname  ."  >>  $jobfile
 
        else
-          if [[ $host != ibmkisti ]]
-          then
-             echo  "scp $PORTOPT -r $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname ."  >>  $jobfile
-          else
+          if [[ $host = ibmkisti ]]
+          then
                 # on KISTI's IBM firewall is only opened on interactive node
              echo  "localdir=\`pwd\`"                            >>  $jobfile
              echo  "ssh $SSH_PORTOPT $remote_username@gaiad \"cd \$localdir; scp $PORTOPT -r  $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname .\" "  >>  $jobfile
+          elif [[ $host = lccrayb ]]
+          then
+             echo  "localdir=\`pwd\`"                            >>  $jobfile
+             echo  "ssh $SSH_PORTOPT $remote_username@blogin1 \"cd \$localdir; scp $PORTOPT -r  $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname .\" "  >>  $jobfile
+          else
+             echo  "scp $PORTOPT -r $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname ."  >>  $jobfile
           fi
        fi
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 1254)
+++ /palm/trunk/SCRIPTS/subjob	(revision 1255)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-# 
+# further adjustments for lccrayb
 #
 # Former revisions:
@@ -142,5 +142,5 @@
      (bicegate2)             local_addres=130.73.232.103; local_host=lcsgib;;
      (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
-     (blogin*)               local_addres=130.73.233.1;   local_host=lccrayb;;
+     (blogin*|bxc*)          local_addres=130.73.233.1;   local_host=lccrayb;;
      (breva)                 local_addres=130.75.105.98;  local_host=lcmuk;;
      (buran)                 local_addres=130.75.105.58;  local_host=lcmuk;;
@@ -203,5 +203,5 @@
      (*.cc.kyushu-u.ac.jp)   local_addres=133.5.4.129;    local_host=ibmku;;
      (*)                     printf "\n  +++ \"$local_host\" unknown";
-                             printf "\n      please inform S. Raasch!";
+                             printf "\n      please contact the PALM group at IMUK";
                              locat=parameter; exit;;
  esac
@@ -783,5 +783,5 @@
     then
        cat > $job_to_send << %%END%%
-#!/bin/bash --login
+#!/bin/bash
 #PBS -N $job_name
 #PBS -l walltime=$timestring
@@ -793,6 +793,4 @@
 
 $module_calls
-export ATP_ENABLED=0
-export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
 
 %%END%%
@@ -1341,5 +1339,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1364,4 +1362,7 @@
        then
           return_queue=SP
+       elif [[ $remote_host = lccrayb ]]
+       then
+          return_queue=dataq
        elif [[ $remote_host = lckiaps ]]
        then
@@ -1487,4 +1488,20 @@
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
+
+       elif [[ $remote_host = lccrayb ]]
+       then
+          echo "cat > scpjob.$kennung << %%END%%"        >>  $job_to_send
+          echo "#!/bin/bash"                             >>  $job_to_send
+          echo "#PBS -N job_protocol_transfer"           >>  $job_to_send
+          echo "#PBS -l walltime=00:30:00"               >>  $job_to_send
+          echo "#PBS -l mppwidth=1"                      >>  $job_to_send
+          echo "#PBS -l mppnppn=1"                       >>  $job_to_send
+          echo "#PBS -o \$HOME/job_queue/last_job_transfer_protocol"      >>  $job_to_send
+          echo "#PBS -j oe"                              >>  $job_to_send
+          echo " "                                       >>  $job_to_send
+          echo "set -x"                                  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
+          echo "%%END%%"                                 >>  $job_to_send
 
        elif [[ $remote_host = lcflow ]]
@@ -1541,4 +1558,7 @@
        then
           echo "llsubmit  scpjob.$kennung"      >>  $job_to_send
+       elif [[ $remote_host = lccrayb ]]
+       then
+          echo "qsub -q $return_queue  scpjob.$kennung"               >>  $job_to_send
        elif [[ $(echo $remote_host | cut -c1-5) = lcsgi ]]
        then