Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1257)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! accelerator loop directives removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! accelerator loop directives removed
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 1257)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! loop independent clauses added
+!
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! loop independent clauses added
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 1257)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Currrent revisions:
 ! ------------------
-! vector length (32) removed from openacc clause
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! vector length (32) removed from openacc clause
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: /palm/trunk/SOURCE/coriolis.f90
===================================================================
--- /palm/trunk/SOURCE/coriolis.f90	(revision 1257)
+++ /palm/trunk/SOURCE/coriolis.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1257)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1257)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 1257)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 1257)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1257)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1257)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1257)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1219 2013-08-30 09:33:18Z heinze
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1257)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1258)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! openacc "end parallel" replaced by "end parallel loop"
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc "end parallel" replaced by "end parallel loop"
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1257)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1258)
@@ -20,9 +20,13 @@
 ! Current revisions:
 ! ------------------
-! set default values for grid indices of maximum velocity components u|v|w_max_ijk
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! set default values for grid indices of maximum velocity components
+! u|v|w_max_ijk
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: /palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1257)
+++ /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openACC "kernels do" replaced by "kernels loop", "loop independent" added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openACC "kernels do" replaced by "kernels loop", "loop independent" added
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 1257)
+++ /palm/trunk/SOURCE/pres.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! openacc loop and loop vector clauses removed, independent clauses added,
-! end parallel replaced by end parallel loop
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, independent clauses added,
+! end parallel replaced by end parallel loop
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 1257)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1257)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! openacc loop vector clauses removed, independent clauses added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop vector clauses removed, independent clauses added
 !
 ! 1246 2013-11-01 08:59:45Z heinze
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 1257)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! output format for theta* changed to avoid output of *****
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! output format for theta* changed to avoid output of *****
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1257)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! acc-update-host directive for timestep removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! acc-update-host directive for timestep removed
 !
 ! 1241 2013-10-30 11:36:58Z heinze
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1257)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1258)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
 ! openacc porting
 ! bugfix for calculation of advective timestep in case of vertically stretched
 ! grids
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 1257)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1216 2013-08-26 09:31:42Z raasch
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1257)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1258)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! openacc loop and loop vector clauses removed, declare create moved after
-! the FORTRAN declaration statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed, declare create moved after
+! the FORTRAN declaration statement
 !
 ! 1221 2013-09-10 08:59:13Z raasch
Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1257)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1258)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! openacc loop and loop vector clauses removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1257 2013-11-08 15:18:40Z raasch
+! openacc loop and loop vector clauses removed
 !
 ! 1153 2013-05-10 14:33:08Z raasch