Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1273)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1274)
@@ -20,4 +20,6 @@
 %host_identifier   blogin*      lccrayb
 %host_identifier   bxc*         lccrayb
+%host_identifier   hlogin*      lccrayh
+%host_identifier   hxcmom*      lccrayh
 #
 #
@@ -30,4 +32,5 @@
 # appropriately, if you are using a different compiler / MPI-Version.
 #
+# HLRN-III Berlin
 %tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayb parallel
 %tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayb parallel
@@ -41,4 +44,17 @@
 %memory              1500                        lccrayb parallel
 %modules             fftw:cray-netcdf            lccrayb parallel
+#
+# HLRN-III Hannover
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>         lccrayh parallel
+%compiler_name       ftn                         lccrayh parallel
+%compiler_name_ser   ftn                         lccrayh parallel
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__fftw   lccrayh parallel
+%mopts               -j:4                        lccrayh parallel
+%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayh parallel
+%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayh parallel
+%remote_username     <replace by your HLRN-III username>                    lccrayh parallel
+%memory              1500                        lccrayh parallel
+%modules             fftw:cray-netcdf            lccrayh parallel
 #             
 %write_binary        true                             restart
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1273)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1274)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjustments for lccrayh
 #
 # Former revisions:
@@ -475,4 +475,5 @@
     case  $remote_host  in
         (lccrayb)        remote_addres=130.73.233.1;;
+        (lccrayh)        remote_addres=130.75.4.1;;
         (lcflow)         remote_addres="flow.hpc.uni-oldenburg.de";;
         (lckordi)        remote_adress=210.219.61.8;;
@@ -1307,5 +1308,5 @@
 
           # workaround for lcxe6
-       if [[ $remote_host = lcxe6  ||  $remote_host = lccrayb  ||  $remote_host = lccrayf ]]
+       if [[ $remote_host = lcxe6  ||  $remote_host = lccrayb  ||  $remote_host = lccrayf ||  $remote_host = lccrayh ]]
        then
 
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1273)
+++ palm/trunk/SCRIPTS/mrun	(revision 1274)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-#
+# adjustments for lccrayh
 #
 # Former revisions:
@@ -588,5 +588,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lccrayb|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -759,5 +759,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayb|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1036,5 +1036,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayb|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2932,5 +2932,5 @@
              [[ "$check_for_file" = "" ]]  &&  compile_error=true
              continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
-          elif [[ $localhost = lccrayb  ||  $localhost = lccrayf ]]
+          elif [[ $localhost = lccrayb  ||  $localhost = lccrayf ||  $localhost = lccrayh ]]
           then
              make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
@@ -3658,5 +3658,5 @@
                 # COPY HOSTFILE FROM SOURCE DIRECTORY OR CREATE IT, IF IT
                 # DOES NOT EXIST
-             if [[  $host != lccrayb  &&$host != lccrayf  &&  $host != lcsgih  &&  $host != lcsgib  &&  $host != lckyuh  &&  $host != lckyut ]]
+             if [[  $host != lccrayb  &&$host != lccrayf  && $host != lccrayh  &&  $host != lcsgih  &&  $host != lcsgib  &&  $host != lckyuh  &&  $host != lckyut ]]
              then
                 if [[ -f $hostfile ]]
@@ -3765,5 +3765,5 @@
                       mpirun -np $ii inspxe-cl -r result -collect mi3 -- ./a.out  <  runfile_atmos
                    fi
-                elif [[ $host = lccrayb ]]
+                elif [[ $host = lccrayb || $host = lccrayh ]]
                 then
                     echo "--- aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos"
@@ -4142,4 +4142,7 @@
                    then
                       ssh $usern@blogin1 "cd $TEMPDIR; batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
+                   elif [[ $localhost = lccrayh ]]
+                   then
+                      ssh $usern@hlogin1 "cd $TEMPDIR; batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
                    else
                       batch_scp $PORTOPT $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
@@ -4222,4 +4225,7 @@
                    then
                       ssh $usern@blogin1 "cd $TEMPDIR; batch_scp $PORTOPT -A -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
+                   elif [[ $localhost = lccrayh ]]
+                   then
+                      ssh $usern@hlogin1 "cd $TEMPDIR; batch_scp $PORTOPT -A -b -m -u $return_username $return_addres  ${localout[$i]} \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"
                    else
                       batch_scp $PORTOPT -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
@@ -4707,5 +4713,5 @@
           then
 
-             if [[ $localhost = lcsgih  ||  $localhost = lccrayb  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lcflow  ||  $localhost = lckyu* ]]
+             if [[ $localhost = lcsgih  ||  $localhost = lccrayb  ||  $localhost = lccrayh  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lcflow  ||  $localhost = lckyu* ]]
              then
                 echo "*** ssh will be used to initiate restart-runs!"
@@ -4720,4 +4726,8 @@
                    then
                       ssh $usern@blogin1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
+                   elif [[ $localhost = lccrayh ]]
+                   then
+                      ssh $usern@hlogin1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
+
                    else
                       ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;. /muksoft/packages/intel/bin/compilervars.sh intel64;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
@@ -4733,4 +4743,7 @@
                    then
                       ssh $usern@blogin1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
+                   elif [[ $localhost = lccrayh ]]
+                   then
+                      ssh $usern@130.75.4.1 "ssh $SSH_PORTOPT $return_addres -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
                    else
                       ssh $SSH_PORTOPT $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
@@ -4938,5 +4951,5 @@
        # BEREITSTELLUNG VON QUELLTEXTEN, MRUN-SCRIPTS UND KONFIGURATIONS-
        # DATEI FUER DEN JOB
-    if [[ $( echo $host | cut -c1-5 ) = lcsgi  ||  $host = ibmkisti  ||  $host = lccrayb  ||  $host = lccrayf ]]
+    if [[ $( echo $host | cut -c1-5 ) = lcsgi  ||  $host = ibmkisti  ||  $host = lccrayb  ||  $host = lccrayf  ||  $host = lccrayh ]]
     then
 
@@ -4969,4 +4982,9 @@
              echo  "localdir=\`pwd\`"                            >>  $jobfile
              echo  "ssh $SSH_PORTOPT $remote_username@blogin1 \"cd \$localdir; scp $PORTOPT -r  $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname .\" "  >>  $jobfile
+          elif [[ $host = lccrayh ]]
+          then
+             echo  "localdir=\`pwd\`"                            >>  $jobfile
+             echo  "ssh $SSH_PORTOPT $remote_username@hlogin1 \"cd \$localdir; scp $PORTOPT -r  $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname .\" "  >>  $jobfile
+
           else
              echo  "scp $PORTOPT -r $return_username@$return_addres:$working_directory/SOURCES_FOR_RUN_$fname ."  >>  $jobfile
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1273)
+++ palm/trunk/SCRIPTS/subjob	(revision 1274)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-# further adjustments for lccrayb (use msub instead of qsub)
+# adjustments for lccrayh
 #
 # Former revisions:
@@ -158,4 +158,5 @@
      (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
      (blogin*|bxc*)          local_addres=130.73.233.1;   local_host=lccrayb;;
+     (hlogin*|hxc*)          local_addres=130.75.4.1;     local_host=lccrayh;;
      (breva)                 local_addres=130.75.105.98;  local_host=lcmuk;;
      (buran)                 local_addres=130.75.105.58;  local_host=lcmuk;;
@@ -346,4 +347,5 @@
         (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (lccrayb) queue=testq; remote_addres=130.73.233.1; submcom=/opt/moab/7.2.6/bin/msub;;
+        (lccrayh) queue=mpp1testq; remote_addres=130.75.4.1; submcom=/opt/moab/7.2.6/bin/msub;;
         (lccrayf) queue=small; remote_addres=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
 	(lcfimm)  remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
@@ -403,5 +405,9 @@
                  esac;;
         (lccrayb) case  $ndq  in
-                     (mpp1q|mpp1testq|testq)                 error=false;;
+                     (mpp1q|testq|specialm1q)                error=false;;
+                     (*)                                     error=true;;
+                 esac;;
+        (lccrayh) case  $ndq  in
+                     (mpp1q|mpp1testq|specialm1q|dataq)      error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -793,5 +799,5 @@
 %%END%%
 
- elif [[ $remote_host = lccrayb ]]
+ elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
  then
 
@@ -1354,5 +1360,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1377,5 +1383,5 @@
        then
           return_queue=SP
-       elif [[ $remote_host = lccrayb ]]
+       elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
           return_queue=dataq
@@ -1504,5 +1510,5 @@
           echo "%%END%%"                           >>  $job_to_send
 
-       elif [[ $remote_host = lccrayb ]]
+       elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
           echo "cat > scpjob.$kennung << %%END%%"        >>  $job_to_send
@@ -1572,5 +1578,5 @@
        then
           echo "llsubmit  scpjob.$kennung"      >>  $job_to_send
-       elif [[ $remote_host = lccrayb ]]
+       elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
           echo "msub -q $return_queue  scpjob.$kennung"               >>  $job_to_send