Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1275)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1289)
@@ -22,5 +22,6 @@
 # Current revisions:
 # ------------------
-# 
+# comments translated from German to English
+# fimm-, scirocco-, ibmy-, and sgi-specific code removed
 #
 # Former revisions:
@@ -85,5 +86,4 @@
  compile_utility_programs=false
  config_file=.mrun.config
- fimm=false
  host=all
  host_found=false
@@ -92,5 +92,4 @@
  module_calls=""
  util_compiled_localhost=false
- scirocco=false
  silent=false
  suf=f90
@@ -189,10 +188,4 @@
 
 
-
- [[ $local_host_real_name = scirocco ]]  &&  scirocco=true
- [[ $local_host_real_name = fimm.bccs.uib.no ]]  &&  fimm=true
-
-
-
  if [[ $local_host != ibms ]]
  then
@@ -203,5 +196,5 @@
 
 
-    # determine the block conditions
+    # DETERMINE THE BLOCK CONDITIONS
  if [[ $block_conditions != none ]]
  then
@@ -422,6 +415,6 @@
 
     
-    # GENERIERUNG DER AKTUELLEN MODELLVERSION FUER ALLE RECHNER-/UEBERSETZUNGS-
-    # VERSIONEN, DIE IN DER KONFIGURATIONSDATEI GEFUNDEN WERDEN
+    # GENERATE MODEL-VERSIONS FOR ALL HOST-BLOCKS
+    # FOUND IN THE CONFIGURATION-FILE
  printf "\n  *** scanning configuration file for host(s) ..."
 
@@ -429,5 +422,5 @@
  while read line
  do
-       # KOMMENTARZEILEN UEBERSPRINGEN
+       # SKIP COMMENT-LINES
     [[ $(echo $line | cut -c1) = "#" ]]  &&  continue
     (( ihost = ihost + 1 ))
@@ -441,7 +434,7 @@
     (( ih = ih + 1 ))
 
-       # determine remote host and conditions for the respective block
-       # continue, only if this host has been chosen via -h option and if
-       # conditions have been chosen via -K option
+       # DETERMINE REMOTE HOST AND CONDITIONS FOR THE RESPECTIVE BLOCK
+       # CONTINUE, ONLY IF THIS HOST HAS BEEN CHOSEN VIA -h OPTION AND IF
+       # CONDITIONS HAVE BEEN CHOSEN VIA -K OPTION
     remote_host_string=`echo ${hostline[$ih]} | cut -d" " -s -f3-`
     remote_host=`echo $remote_host_string | cut -d" " -f1`
@@ -475,5 +468,5 @@
     make_options=""
 
-       # IP-ADRESSE DES REMOTE-RECHNERS BESTIMMEN
+       # DETERMINE IP-ADDRES OF THE REMOTE-HOST
     case  $remote_host  in
         (lccrayb)        remote_addres=130.73.233.1;;
@@ -484,6 +477,4 @@
         (lcrte)          remote_addres=133.5.185.60;;
         (lcsb)           remote_addres=147.46.30.151;;
-        (lcsgib)         remote_addres=130.73.232.102;;
-        (lcsgih)         remote_addres=130.75.4.101;;
         (lck)            remote_addres=165.132.26.61;;
         (lckiaps)        remote_addres=118.128.66.223;;
@@ -496,5 +487,4 @@
         (ibmku)          remote_addres=133.5.4.129;;
         (ibms)           remote_addres=150.183.5.101;;
-        (ibmy)           remote_addres=165.132.26.58;;
         (nech)           remote_addres=136.172.44.192;;
         (neck)           remote_addres=133.5.178.11;;
@@ -509,5 +499,5 @@
 
 
-       # REMOTE-USERNAMEN ERMITTELN
+       # DETERMINE REMOTE-USERNAME
     line=""
     found=false
@@ -537,5 +527,5 @@
 
 
-       # REMOTE-QUELLTEXTPFAD ERMITTELN
+       # DETERMINE REMOTE-SOURCE-CODE-PATH
     line=""
     remote_source_path=""
@@ -572,5 +562,5 @@
 
 
-       # REMOTE-PFAD FUER MAKE-DEPOSITORY ERMITTELN
+       # DETERMINE REMOTE-PATH FOR MAKE-DEPOSITORY
     remote_md=""
     line=""
@@ -611,5 +601,5 @@
 
 
-       # COMPILERNAMEN ERMITTELN
+       # DETERMINE COMPILERNAME
     line=""
     found=false
@@ -639,6 +629,6 @@
 
 
-       # BEI BENUTZUNG EINES PARALLELEN COMPILERS MUSS AUCH EIN
-       # SERIELLER COMPILERNAME ERMITTELT WERDEN
+       # IN CASE OF PARALLEL EXECUTION (COMPILER FOR PARALLEL EXECUTION),
+       # A SERIAL COMPILERNAME MUST BE DETERMINED ALSO
     if [[ $(echo $remote_host_string | grep -c parallel) = 1 ]]
     then
@@ -674,5 +664,5 @@
 
 
-       # PRAEPROZESSOR-OPTIONEN/DIREKTIVEN ERMITTELN
+       # DETERMINE PREPROCESSOR-OPTIONS AND DIRECTIVES
     line=""
     found=false
@@ -688,5 +678,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           cpp_options=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
           found=true
@@ -703,5 +693,5 @@
 
 
-       # RECHNERSPEZIFISCHE CPP-DIREKTIVEN HINZUFUEGEN
+       # ADD HOST-SPECIFIC PREPROCESSOR-DIRECTIVES
     for  string  in  $remote_host_string
     do
@@ -727,5 +717,5 @@
 
 
-       # get netCDF options
+       # GET netCDF OPTIONS
     line=""
     grep  "$remote_host_string" $config_file | grep "%netcdf_inc"  >  $tmp_mbuild
@@ -740,5 +730,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           netcdf_inc=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
        fi
@@ -758,5 +748,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           netcdf_lib=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
        fi
@@ -766,5 +756,5 @@
 
 
-       # get fftw options
+       # GET FFTW OPTIONS
     line=""
     grep  "$remote_host_string" $config_file | grep "%fftw_inc"  >  $tmp_mbuild
@@ -779,5 +769,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           fftw_inc=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
        fi
@@ -797,5 +787,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           fftw_lib=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
        fi
@@ -805,5 +795,5 @@
 
 
-       # get make options
+       # GET MAKE OPTIONS
     line=""
     found=false
@@ -819,5 +809,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # remove colons from directive string
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           make_options=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
 
@@ -828,5 +818,5 @@
 
 
-       # COMPILEROPTIONEN ERMITTELN
+       # GET COMPILER OPTIONS
     line=""
     found=false
@@ -842,9 +832,9 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           compiler_options=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
           found=true
 
-             # add include paths for netCDF and fftw
+             # ADD INCLUDE PATHS FOR netCDF AND FFTW
           compiler_options="$compiler_options $netcdf_inc $fftw_inc"
        fi
@@ -860,5 +850,5 @@
 
 
-       # get login init commands, "::" is replacing a space
+       # GET LOGIN INIT COMMANDS
     line=""
     grep  "$remote_host_string" $config_file | grep "%login_init_cmd"  >  $tmp_mbuild
@@ -873,5 +863,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           init_cmds=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
           init_cmds="${init_cmds};"
@@ -880,5 +870,5 @@
 
 
-       # get modules to be loaded
+       # GET MODULES TO BE LOADED
     line=""
     grep  "$remote_host_string" $config_file | grep "%modules"  >  $tmp_mbuild
@@ -893,5 +883,5 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           modules=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
        fi
@@ -900,5 +890,5 @@
 
 
-       # LADER-OPTIONEN ERMITTELN
+       # GET LINKER OPTIONS
     line=""
     found=false
@@ -914,9 +904,9 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
+             # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
           loader_options=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
           found=true
 
-             # add netCDF- and fftw-library
+             # ADD netCDF- AND FFTW-LIBRARY
           loader_options="$loader_options $netcdf_lib $fftw_lib"
        fi
@@ -1043,5 +1033,5 @@
 
 
-       # make on remote host
+       # MAKE ON REMOTE HOST
     if [[ $remote_host != $local_host ]]
     then
@@ -1049,6 +1039,6 @@
        then
 
-             # AKTUELLE QUELLTEXTVERSION INS REMOTE-QUELLTEXTVERZEICHNIS KOPIEREN
-             # FALLS DIESES NOCH NICHT EXISTIERT, WIRD ES ERZEUGT
+             # COPY CURRENT SOURCE CODE TO SOURCE-CODE DIRECTORY ON THE REMOTE HOST
+             # CREATE THIS DIRECTORY, IF IT DOES NOT EXIST
           echo "  *** copying \"${mainprog}_sources.tar\" to \"${remote_addres}:${remote_md}/\" "
           if [[ $remote_host != lctit ]]
@@ -1056,6 +1046,5 @@
              ssh  ${remote_username}@${remote_addres} "[[ ! -d ${remote_md} ]]  &&  (echo \"  *** ${remote_md} will be created\"; mkdir -p  ${remote_md})"
           else
-                # TIT ERLAUBT NUR DIE AUSFï¿œHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
+                # USING PIPE, BECAUSE TIT ALLOWS SSH TO EXECUTE ONLY SOME SELECTED COMMANDS
              print "[[ ! -d ${remote_md} ]]  &&  (echo \"  *** ${remote_md} will be created\"; mkdir -p  ${remote_md})"  |  ssh ${remote_username}@${remote_addres}  2>&1
           fi
@@ -1065,5 +1054,5 @@
 
 
-             # FALLS VORHANDEN, LETZTE VERSION AUF DEM REMOTE-RECHNER AUSPACKEN
+             # UNTAR PREVIOUS UPDATE ON REMOTE HOST, IF EXISTING
           echo "  *** untar previous update on remote host, if existing"
           if [[ $remote_host != lctit ]]
@@ -1071,30 +1060,28 @@
              ssh  ${remote_username}@${remote_addres}  "cd ${remote_md}; [[ -f ${mainprog}_current_version.tar ]]  &&  tar -xf  ${mainprog}_current_version.tar"
           else
-                # TIT ERLAUBT NUR DIE AUSFï¿œHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
+                # USING PIPE, BECAUSE TIT ALLOWS SSH TO EXECUTE ONLY SOME SELECTED COMMANDS
              print  "cd ${remote_md}; [[ -f ${mainprog}_current_version.tar ]]  &&  tar -xf  ${mainprog}_current_version.tar"  |  ssh  ${remote_username}@${remote_addres}  2>&1
           fi
 
 
-             # AKTUELLE QUELLTEXTVERSION AUF REMOTE-RECHNER AUSPACKEN
-          echo "  *** untar actual sources on remote host"
+             # UNTAR CURRENT SOURCES ON REMOTE HOST
+          echo "  *** untar current sources on remote host"
           if [[ $remote_host != lctit ]]
           then
              ssh  ${remote_username}@${remote_addres}  "cd ${remote_md}; tar -xf  ${mainprog}_sources.tar"
           else
-                # TIT ERLAUBT NUR DIE AUSFï¿œHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
+                # USING PIPE, BECAUSE TIT ALLOWS SSH TO EXECUTE ONLY SOME SELECTED COMMANDS
              print  "cd ${remote_md}; tar -xf  ${mainprog}_sources.tar"  |  ssh  ${remote_username}@${remote_addres}  2>&1
           fi
 
 
-             # MAKE MIT ZUVOR ERMITTELTEN OPTIONEN AUF REMOTE RECHNER AUSFUEHREN
-             # KOMMANDOUEBERGABE AN SSH PER PIPE, DA SO DIE SYSTEM- UND
-             # BENUTZERPROFILE VOLLSTAENDIG AUSGEFUEHRT WERDEN (SONST FEHLEN MAKE
-             # Z.B. DIE PFADE ZUM COMPILER)
+             # EXECUTE MAKE WITH THOSE OPTIONS DETERMINED ABOVE
+             # COMMANDS WILL BE COMMUNICATED TO SSH VIA PIPE, SINCE THIS WAY THE SYSTEM- AND
+             # USER-PROFILES OF THE SHELL ARE COMPLETELY EXECUTED (OTHERWISE, MAKE
+             # WILL E.G. MISS THE COMPILER-PATHS)
           echo "  *** execute \"make\" on remote host"
 
 
-             # generate make call with make options
+             # GENERATE MAKE CALL WITH MAKE OPTIONS
           if [[ $remote_host = nech ]]
           then
@@ -1104,5 +1091,5 @@
           fi
 
-             # generate command to load modules, if modules are given
+             # GENERATE COMMAND TO LOAD MODULES, IF MODULES ARE GIVEN
           if [[ "$modules" != "" ]]
           then
@@ -1113,18 +1100,9 @@
                 module_calls="module load ${modules};"
              fi
-
-                # bugfix for wrong netcdf module
-             if [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
-             then
-                if [[ $(echo $module_calls | grep -c netcdf/3.6.3-intel) != 0 ]]
-                then
-                   module_calls="$module_calls export LD_LIBRARY_PATH=/sw/dataformats/netcdf/3.6.3-intel/lib:\$LD_LIBRARY_PATH;"
-                fi
-             fi
           else
              module_calls=""
           fi
 
-          if [[ $remote_host = ibmkisti  ||  $remote_host = ibms  ||  $remote_host = ibmy ]]
+          if [[ $remote_host = ibmkisti  ||  $remote_host = ibms ]]
           then
 
@@ -1135,9 +1113,4 @@
 
              print "$init_cmds $module_calls export OBJECT_MODE=64; cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
-
-          elif [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
-          then
-#             print ". /usr/share/modules/init/bash; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
-             print "$init_cmds $module_calls cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
           elif [[ $remote_host = lctit ]]
@@ -1186,5 +1159,5 @@
 
 
-             # NEUE VERSION AUF REMOTE-RECHNER ZUSAMMENPACKEN
+             # TAR UPDATED VERSION ON THE REMOTE HOST
           printf "\n  *** tar update on remote host ..."
           if [[ $remote_host != lctit ]]
@@ -1192,21 +1165,13 @@
              ssh  ${remote_username}@${remote_addres}  "cd ${remote_md}; chmod u+w *; tar -cf  ${mainprog}_current_version.tar  ${mainprog}  *.f90 *.o *.mod"
           else
-                # TIT ERLAUBT NUR DIE AUSFï¿œHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
+                # USING PIPE, BECAUSE TIT ALLOWS SSH TO EXECUTE ONLY SOME SELECTED COMMANDS
              print  "cd ${remote_md}; chmod u+w *; tar -cf  ${mainprog}_current_version.tar  ${mainprog}  *.f90 *.o *.mod"  |  ssh  ${remote_username}@${remote_addres}  2>&1
           fi
 
 
-             # AKTUELLES VERSIONSVERZEICHNIS AUF REMOTE-RECHNER BEREINIGEN
-#          printf "\n  *** \"make clean\" on remote host ..."
-#          ssh  ${remote_username}@${remote_addres}  "cd ${remote_md}; make clean; rm ${mainprog}_sources.tar; rm *.f90 Makefile"
-#          printf "\n"
-
-
-
-
-          # GLEICHE AKTIONEN FUER DIE UTILITY-PROGRAMME DURCHFUEHREN
-          # AKTUELLE QUELLTEXTVERSION INS REMOTE-QUELLTEXTVERZEICHNIS KOPIEREN
-          # FALLS DIESES NOCH NICHT EXISTIERT, WIRD ES ERZEUGT
+
+          # DO THE SAME THINGS FOR THE UTILITY-ROUTINES:
+          # COPY CURRENT SOURCE CODE TO SOURCE-CODE DIRECTORY ON THE REMOTE HOST
+          # CREATE THIS DIRECTORY, IF IT DOES NOT EXIST
        elif [[ $compile_utility_programs = true ]]
        then
@@ -1220,10 +1185,9 @@
              ssh  ${remote_username}@${remote_addres} "[[ ! -d ${remote_ud} ]]  &&  (echo \"  *** ${remote_ud} will be created\"; mkdir -p  ${remote_ud}); [[ ! -d ${remote_ud}/../SCRIPTS ]]  &&  (echo \"  *** ${remote_ud}/../SCRIPTS will be created\"; mkdir -p ${remote_ud}/../SCRIPTS)"
           else
-                # TIT ERLAUBT NUR DIE AUSFUEHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
+                # USING PIPE, BECAUSE TIT ALLOWS SSH TO EXECUTE ONLY SOME SELECTED COMMANDS
              print "[[ ! -d ${remote_ud} ]]  &&  (echo \"  *** ${remote_ud} will be created\"; mkdir -p  ${remote_ud}); [[ ! -d ${remote_ud}/../SCRIPTS ]]  &&  (echo \"  *** ${remote_ud}/../SCRIPTS will be created\"; mkdir -p  ${remote_ud}/../SCRIPTS)"  |  ssh ${remote_username}@${remote_addres}  2>&1
           fi
 
-             # KOPIEREN DER SCRIPTE
+             # COPY SHELL-SCRIPTS
           scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
 
@@ -1232,13 +1196,13 @@
 
 
-             # KOPIEREN DER UTILITY-PROGRAMME
+             # COPY UTILITY-ROUTINES
           scp  Makefile  *.f90  ${remote_username}@${remote_addres}:${remote_ud}  >  /dev/null
 
 
 
-             # MAKE MIT ZUVOR ERMITTELTEN OPTIONEN AUF REMOTE RECHNER AUSFUEHREN
-             # KOMMANDOUEBERGABE AN SSH PER PIPE, DA SO DIE SYSTEM- UND
-             # BENUTZERPROFILE VOLLSTAENDIG AUSGEFUEHRT WERDEN (SONST FEHLEN MAKE
-             # Z.B. DIE PFADE ZUM COMPILER)
+             # EXECUTE MAKE WITH THOSE OPTIONS DETERMINED ABOVE
+             # COMMANDS WILL BE COMMUNICATED TO SSH VIA PIPE, SINCE THIS WAY THE SYSTEM- AND
+             # USER-PROFILES OF THE SHELL ARE COMPLETELY EXECUTED (OTHERWISE, MAKE
+             # WILL E.G. MISS THE COMPILER-PATHS)
           echo "  *** execute \"make\" on remote host"
 
@@ -1250,5 +1214,5 @@
           fi
 
-             # generate command to load modules, if modules are given
+             # GENERATE COMMAND TO LOAD MODULES, IF MODULES ARE GIVEN
           if [[ "$modules" != "" ]]
           then
@@ -1259,13 +1223,4 @@
                 module_calls="module load ${modules};"
              fi
-
-                # bugfix for wrong netcdf module
-             if [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
-             then
-                if [[ $(echo $module_calls | grep -c netcdf/3.6.3-intel) != 0 ]]
-                then
-                   module_calls="$module_calls export LD_LIBRARY_PATH=/sw/dataformats/netcdf/3.6.3-intel/lib:\$LD_LIBRARY_PATH;"
-                fi
-             fi
           else
              module_calls=""
@@ -1273,5 +1228,5 @@
 
 
-          if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]
+          if [[ $remote_host = ibms ]]
           then
 
@@ -1303,12 +1258,12 @@
           fi
 
-       fi    # ENDE UEBERSETZUNG DER UTILITY-PROGRAMME
+       fi    # END OF COMPILING UTILITY-ROUTINES
 
        rm -rf  ${remote_host}_last_make_protokoll
 
-       # make on local host
+       # MAKE ON LOCAL HOST
     else
 
-          # workaround for lcxe6
+          # INIT WORKAROUND FOR lcxe6
        if [[ $remote_host = lcxe6  ||  $remote_host = lccrayb  ||  $remote_host = lccrayf ||  $remote_host = lccrayh ]]
        then
@@ -1318,5 +1273,5 @@
        fi
 
-       # first load modules, if given
+       # FIRST LOAD MODULES, IF GIVEN
        if [[ "$modules" != "" ]]
        then
@@ -1336,5 +1291,5 @@
        then
 
-             # DEPOSITORY VERZEICHNIS ERZEUGEN, FALLS NOCH NICHT VORHANDEN
+             # CREATE MAKE-DEPOSITORY, IF IT DOES NOT EXIST
           eval remote_md=$remote_md
           if [[ ! -d $remote_md ]]
@@ -1353,5 +1308,5 @@
           fi
 
-             # QUELLTEXT-DATEIEN AUS REPOSITORY INS DEPOSITORY KOPIEREN
+             # COPY SOURCE-CODE FROM REPOSITORY TO MAKE-DEPOSITORY
           echo " "
           echo "  *** updating sources in $remote_md"
@@ -1360,5 +1315,5 @@
           tar xf  ${mainprog}_sources.tar
 
-             # MAKE MIT ZUVOR ERMITTELTEN OPTIONEN AUF LOKALEM RECHNER AUSFUEHREN
+             # CALL MAKE ON LOCAL HOST USING THE  OPTIONS DETERMINED FURTHER ABOVE
           echo " "
           echo "  *** execute \"make\" on local host"
@@ -1423,10 +1378,9 @@
              fi
 
-             # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
-
+                # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
              printf "\n\n"
              echo "  *** compiling check_namelist_files ..."
 
-             # GET CHECK OPTIONS
+                # GET CHECK OPTIONS
              line=""
              found=false
@@ -1442,5 +1396,5 @@
                 if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
                 then
-                   # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING UND ALLE -D ENTFERNEN
+                      # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
                    line="$line "
                    copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
@@ -1498,3 +1452,2 @@
  rm -f  hosts_found_in_config_file
  rm -f ${local_source_path}/${mainprog}_sources_check.tar
-